XmClipboardRegisterFormat(3Xm)

NAME
XmClipboardRegisterFormat — a clipboard function that registers a new format.

SYNOPSIS
#include <Xm/Xm.h>
#include <Xm/CutPaste.h>

int XmClipboardRegisterFormat (display, format_name, format_length)
    Display    * display;
    char    * format_name;
    unsigned long    format_length;

DESCRIPTION
XmClipboardRegisterFormat registers a new format. Each format stored on the clipboard should have a length associated with it; this length must be known to the clipboard routines. Formats are known as targets in the ICCC manual. All of the formats specified by the ICCCM conventions are preregistered. Any other format that the application wants to use must either be 8-bit data or be registered via this routine. Failure to register the length of the data results in incompatible applications across platforms having different byte swapping orders.

display
    Specifies a pointer to the Display structure that was returned in a previous call to XOpenDisplay or XtDisplay.

format_name
    Specifies the string name for the new format (target).

format_length
    Specifies the format length in bits (8, 16, or 32).

RETURN VALUE

ClipboardBadFormat
    The format_name must not be NULL, and the format_length must be 8, 16, or 32.

ClipboardSuccess
    The function is successful.

ClipboardLocked
    The function failed because the clipboard was locked by another application. The application can continue to call the function again with the same parameters until the lock goes away. This gives the application the opportunity to ask if the user wants to keep trying or to give up on the operation.

RELATED INFORMATION
XmClipboardStartCopy(3Xm).